--
-- $Id$
--
-- Tijdelijke tabel kolom uitbreiden

DEFINE thisfile = 'KONG#55154.SQL'
DEFINE dbuser   = '^KONG'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE fac_locale_xsl flx1
   SET fac_locale_xsl_isvalid = 0,
       fac_locale_xsl_tekst =
           (SELECT fac_locale_xsl_tekst
              FROM fac_locale_xsl flx2
             WHERE     flx1.fac_locale_xsl_label = flx2.fac_locale_xsl_label
                   AND flx1.fac_locale_xsl_module =
                       flx2.fac_locale_xsl_module
                   AND fac_locale_xsl_lang = 'EN')
 WHERE     (   fac_locale_xsl_isvalid = 0
            OR fac_locale_xsl_tekst IS NULL
            OR fac_locale_xsl_tekst = '@'
            OR fac_locale_xsl_tekst = '@@')
       AND fac_locale_xsl_lang NOT IN ('EN', 'NL');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile